Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgUtx::TestGraph Class Reference

TestGraph is a singleton providing central access to the tree of tests; primarily, it provides access to the root suite. More...

List of all members.

## Public Member Functions
TestSuite * | root ()
TestSuite * | suite (const std::string &path, TestSuite *tsuite=0, bool createIfNecessary=false)
| A utility function for accessing an arbitrary suite by pathname, relative to the suite 'tsuite' (defaults to root if null), and with the option of creating the TestSuite designated by path, if it does not already exist.
## Static Public Member Functions
TestGraph & | instance ()

## Detailed Description

TestGraph is a singleton providing central access to the tree of tests; primarily, it provides access to the root suite.

## Member Function Documentation

TestGraph& osgUtx::TestGraph::instance | ( |  | ) | `[static]`

TestSuite* osgUtx::TestGraph::root | ( |  | ) |

| Returns: a pointer to the root TestSuite.

TestSuite* osgUtx::TestGraph::suite | ( | const std::string & | path,
|  | TestSuite * | tsuite = 0,
|  | bool | createIfNecessary = false
| ) |

  | A utility function for accessing an arbitrary suite by pathname, relative to the suite 'tsuite' (defaults to root if null), and with the option of creating the TestSuite designated by path, if it does not already exist. This method may return 0 if the suite either cannot be found (and createIfNecssary is 0), or the first component of path is not the same as the name of the TestSuite tsuite. This was written to aid the auto-registration of tests at specific points in the test tree, where the tests' AutoRegistrationAgents may be distributed across several files, and cannot be guaranteed to run in a given order. E.g. You cannot register a test "root.osg.MyTest" unless you know that the the suite "root.osg" already exists. Parameters:
  path | The name of the TestSuite to return.
  tsuite | The suite to 'start from'. Path is relative to this suite (defaults to root suite).
  createIfNecessary | Optionally create the TestSuite(s) denoted by path if they do not exist.

The documentation for this class was generated from the following file:

- UnitTestFramework